Bug 1466040 - systemd sometimes reboots without umounting filesystems
systemd sometimes reboots without umounting filesystems
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd (Show other bugs)
7.5-Alt
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Lukáš Nykrýn
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-28 16:33 EDT by François Cami
Modified: 2017-10-10 23:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description François Cami 2017-06-28 16:33:13 EDT
Description of problem:
systemd seems to sometimes reboot the system forcefully even if filesystems are not umounted, probably due to files being still opened in them.

This is difficult to debug, but the behaviour is as such:
* boot failures if grubby was run recently ( due to it not flushing buffers / metadata to disk => https://bugzilla.redhat.com/show_bug.cgi?id=1464611 )
* Running "umount /boot"  before rebooting fixes the above issue

Possibly other data loss in other filesystems could occur.


Version-Release number of selected component (if applicable):
systemd-219-19.el7.x86_64

How reproducible:
Difficult, probably requires specific environments. However, there are sporadic reports of this happening:
https://bugzilla.redhat.com/show_bug.cgi?id=1227736


Actual results:
system reboots without unmounting filesystems


Expected results:
Filesystems are closed or at least buffers are 


Additional info:
I have no idea how to list open files to some log so late in the reboot cycle, so I'd appreciate any insight on how to do that.
Comment 2 Michal Sekletar 2017-07-03 06:19:49 EDT
(In reply to François Cami from comment #0)

> Additional info:
> I have no idea how to list open files to some log so late in the reboot
> cycle, so I'd appreciate any insight on how to do that.

Please refer to https://freedesktop.org/wiki/Software/systemd/Debugging/ section "Shutdown Completes Eventually". But please edit the script and add invocation of "lsof" (note that lsof is not installed by default) to it. Once you reproduce please update the bugzilla and upload the log file.

Note You need to log in before you can comment on or make changes to this bug.